%PRACTICALSKETCHING-v1.0
%Copyright (C) 2017 Laboratory for Information and Inference Systems
%(LIONS), Ecole Polytechnique Federale de Lausanne, Switzerland.
%
%This code is a part of PRACTICALSKETCHING toolbox. 
%Please read COPYRIGHT before using this file.
%
%In Section 7 of [TYUC2017], we also consider a complex psd matrix (DATA)
%obtained from a real-world phase retrieval application. This matrix have 
%dimension n = 25,921. The spectrum is displayed in Figure 7.1. Due to 
%confidentiality, we cannot publish the whole data. Instead, we provide 
%the singular values.
%
%This script draws a random complex rotation matrix, and generates a
%dataset which has the same singular values as DATA. This dataset is saved
%into the data folder. This data will be automatically loaded by the test 
%scripts. 
%
%See Section 7.2.2 in [TYUC2017] for more details.
%
%   [TYUC2017] J.A. Tropp, A. Yurtsever, M. Udell and V. Cevher, Practical  
%   Sketching Algorithms for Low-Rank Matrix Approximation, SIMAX, 2017.
%
%   Coded by: Alp Yurtsever
%   Ecole Polytechnique Federale de Lausanne, Switzerland.
%   Laboratory for Information and Inference Systems, LIONS.
%   contact: alp.yurtsever@epfl.ch
%   Created: August 24, 2016
%   Last modified: August 25, 2017

%% Fix the seed
clearvars
rng(0,'twister');

%% Test setup
load data/FourrierPtychographySingVals
info.U = randn(info.n, size(info.Z,1)) + 1i*randn(info.n, size(info.Z,1));
info.U = orth(info.U);
save data/FourrierPtychographyData